%
% Politecnico di Milano
% Corso Informatica B - Prof. Loiacono
% Esercizi di: Alessandro A. Nacci
% Per contatti: alessandro.nacci@mail.polimi.it
% ------------------------------------
%	ESERCIZIO 4
%	SUCCESSIONE (ITERATIVO)

% Risolvere in modo iterativo l'esercizio precedente

function res = succIter(n)

% Consideriamo esplicitamente i casi n==1 e n==2
if n==1
	res = 0;
elseif n==2
	res = 1;
else
	% Calcoliamo nel caso in cui n>2
	% Utilizziamo il contatore ii, partendo da 3 fino a n
	% La variabile penultimo contiene x(ii-2), mentre ultimo contiene x(ii-1)
	penultimo = 0;
	ultimo = 1;
	for ii=3:n
		% Applichiamo la relazione ricorsiva, calcolando res = x(ii)
		res = 2*ultimo + 3*penultimo;
		
		% Aggiorniamo ultimo e penultimo, pronti per la prossima iterazione
		penultimo = ultimo;
		ultimo = res;
	end
end
		
	