%
% Politecnico di Milano
% Corso Informatica B - Prof. Loiacono
% Esercizi di: Alessandro A. Nacci
% Per contatti: alessandro.nacci@mail.polimi.it
% ------------------------------------
%
%	ESERCIZIO 3
%	SUCCESSIONE
%
% Si consideri la successione definita dalla seguente relazione ricorsiva:
%
%		x(1) = 0
%		x(2) = 1
%		x(n) = 2 * x(n-1) + 3 * x(n-2)

% Si scriva una funzione ricorsiva succ(n) che calcoli il valore
% n-esimo della successione.
%
% Strutturare la funzione ricorsiva nel modo visto a lezione:
% 	Verificare se il valore di n ricevuto in ingresso rappresenta uno dei casi base
% 	Altrimenti, eseguire il passo ricorsivo

% La successione è fatta in questo modo: 
%	0 1 2 7 20 61 182, quindi ad esempio succ(6)=61


function res = succ(n)

if n==1
	% Primo caso base
	res = 0;
elseif n==2
	% Secondo caso base
	res = 1;
else
	% Passo ricorsivo
	res = 2*succ(n-1) + 3*succ(n-2);
end